22

I installed the newest version of Notepad++ on my Win 8.1 Professional. The version is called "Notepad++ Je suis Charlie edition, Build Time Jan 10 2015 - 17:20:21". The Plugin Manager delivered with that version of Notepad++ is 1.0.8. Now I want to add the "Compare" plugin:

  • I start plugin manager.
  • I wait until the list of available plugins has built up.
  • I check "Compare" and click "Install".
  • "An update is available to plugin Manager. It is strongly recommended..." -> "Yes".
  • "Installation Error: Installation of Plugin Manager failed."
  • "OK", and "Install" again.
  • "An update is available to plugin Manager. It is strongly recommended..." -> "No".
  • "Installation Error: Installation of Compare failed."

What exactly am I doing wrong? How can I debug this problem?

  • I just ran into this error, and the fix for me was: update my copy of explorer++ to the latest version. – neminem Jan 30 '17 at 19:51
  • Sad that this problem still exists in 2019. None of the solutions solved it for me. I attempted on two different machines. I can only conclude the plugin manager is not useful. – Andrew Jan 2 at 20:12
19

Error: Installation of plugin failed

The latest version of the plugin manager was 1.4.9 at the time this answer was written(see Notepad++ Plugin Manager)

You can always find the latest release by going to https://github.com/bruderstein/nppPluginManager/releases/.

Try a manual install of the plugin manager:

  1. Close notepad++

  2. Download the latest plugin manager PluginManager_1.4.9_UNI.zip from https://github.com/bruderstein/nppPluginManager/releases/download/v1.4.9/PluginManager_v1.4.9_UNI.zip

  3. Unzip the downloaded file

  4. Copy plugins\PluginManager.dll to your notepad++\plugins directory

  5. Restart notepad++

  • 5
    I guess I found the underlying problem: I needed administrator privileges to copy the dll into the plugins directory. Now the PlugInManager is up-to-date. But even when I run Notepad++ as administrator, plugin installation still fails. – Alexander Feb 18 '15 at 12:19
  • Have you tried (re)installing notepad++ as an adminstrator? – DavidPostill Feb 18 '15 at 12:23
  • Yes I have. I did so multiple times. – Alexander Feb 18 '15 at 12:38
  • This resolved the issue for myself. – Unfundednut May 11 '15 at 19:21
  • 2
    Note that this plugin manager is incompatible with the x64 version of N++ – KERR Aug 30 '17 at 1:20
6

I had this issue and the solution was simple:

  1. Go to Plugin Manager via Plugins -> Plugin Manager -> Show Plugin Manager
  2. Click on the Installed tab
  3. Check Plugin Manager
  4. Reinstall

Notepad++ will auto restart after prompt and the issue will be gone.

enter image description here

  • I don't know why this worked, but it worked for me, lol – KoKo Sep 27 '16 at 2:45
  • 2
    Strange, I don't have Plugin Manager listed on the "installed" tab. – KERR Aug 28 '17 at 13:09
4

Control panel -> Internet options -> Advanced Scroll down to Security. Make sure TLS 1.0, TLS 1.1, and TLS 1.2 are all checked.

Good luck!

1

What finally worked for me was to simply copy the ComparePlugin.dll file from another PC where the plugin was installed. The file location is:

C:\Program Files (x86)\Notepad++\plugins\ComparePlugin.dll
0

I have just had the same problem again (in current version 6.9) and found a workaround:

I just selected the "AutoSave" plugin as well. When I clicked "Install", it failed on AutoSave plugin installation, but Compare, being second, went through smoothly, and Compare plugin is usable now.

So, unless you want to install the first plugin the list, this workaround is worth a try.

0

I use the operating system win10 and my system type 64x. Anyway I installed to x64 notepadd++ from notepad++ website. But plugin manager has a trouble to install from "ProgramFiles".I removed at and I installed to 32-bit(x86).The trouble gone. My advice is you install notepad++(x86) if your system x64 (64-bit).

Also ////

Included plugins:

  1. NppExport v0.2.8 (32-bit x86 only)
  2. Plugin Manager 1.3.5 (32-bit x86 only)
  3. Converter 4.2
  4. Mime Tool 2.1
0

Attempting to update the plugin manager, as detailed by other answers, did not resolve the issue for me and the "Installation of Compare failed" persisted.
I was able to manually install the plugin, though.

  • Download the source code from the Github project,
  • use Visual Studio to build the project
  • and copy the compiled artifacts into \Notepad++\plugins folder.

Your Answer

By clicking "Post Your Answer", you acknowledge that you have read our updated terms of service, privacy policy and cookie policy, and that your continued use of the website is subject to these policies.

Not the answer you're looking for? Browse other questions tagged or ask your own question.